Reference record for OID 1.3.6.1.4.1.49136.1.2.2

Parent
1.3.6.1.4.1.49136.1.2 (battery)
Node code
2
Node name
batteryCurrent
Numeric OID
1.3.6.1.4.1.49136.1.2.2
URN notation
urn:oid:1.3.6.1.4.1.49136.1.2.2
ASN.1 notation

{1 3 6 1 4 1 49136 1 2 2}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) algcom(49136) upsObjects(1) battery(2) batteryCurrent(2)}
OID-IRI notation
  • /1/3/6/1/4/1/49136/1/2/2
  • /ISO/Identified-Organization/6/1/4/1/49136/1/2/2
  • /ISO/3/6/1/4/1/49136/1/2/2
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/identified-organization/dod/internet/private/enterprises/algcom/upsObjects/battery/batteryCurrent
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/identified-organization/dod/internet/private/vendor-objects/algcom/upsObjects/battery/batteryCurrent
  • /iso/org/dod/internet/private/enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/org/dod/internet/private/enterprises/algcom/upsObjects/battery/batteryCurrent
  • /iso/org/dod/internet/private/ldap-enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/org/dod/internet/private/vendor-objects/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-identified-organization/dod/internet/private/enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-identified-organization/dod/internet/private/enterprises/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-organization/dod/internet/private/enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-organization/dod/internet/private/enterprises/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/algcom/upsObjects/battery/batteryCurrent
  • /iso/iso-organization/dod/internet/private/vendor-objects/algcom/upsObjects/battery/batteryCurrent

Descriptions

batteryCurrent — Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)

Numeric value of current in Battery bank. Real value reading in milli ampere. If the value is negative the Battery bank is provide energy for the output. If the value is positive the Battery bank is under charger Example: Read value -2230, Actual value 2,230 ampere and the battery bank is provide this current. Read value 3000, Actual value 3.000 milli ampere and the battery bank is absorve this current.

Source records

batteryCurrent

Status in source: mandatory.

Names: batteryCurrent

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "batteryCurrent",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "ACCESS",
    "read-only",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"Numeric value of current in Battery bank. Real value reading in milli ampere. If the value is negative the Battery bank is provide energy for the output. If the value is positive the Battery bank is under charger Example: Read value -2230, Actual value 2,230 ampere and the battery bank is provide this current. Read value 3000, Actual value 3.000 milli ampere and the battery bank is absorve this current.\"",
    "::=",
    "{",
    "battery",
    "2",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER"
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "Numeric value of current in Battery bank. Real value reading in milli ampere. If the value is negative the Battery bank is provide energy for the output. If the value is positive the Battery bank is under charger Example: Read value -2230, Actual value 2,230 ampere and the battery bank is provide this current. Read value 3000, Actual value 3.000 milli ampere and the battery bank is absorve this current."
    ],
    null,
    null,
    null,
    null
  ]
}
  • Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community) · Publisher's source file: ALGPOWER-v2-MIB

    Vendor MIB copy from the LibreNMS archive.

    Module: ALGPOWER-v2-MIB

    Published definition
    batteryCurrent OBJECT-TYPE
    		SYNTAX INTEGER
    		ACCESS read-only
    		STATUS mandatory
    		DESCRIPTION
    			"Numeric value of current in Battery bank. Real
    			value reading in milli ampere.
    			If the value is negative the Battery bank is provide
    			energy for the output.
    			If the value is positive the Battery bank is under
    			charger 
    			
    			Example:
    			Read value -2230, Actual value 2,230 ampere and the
    			battery bank is provide this current.
    			Read value 3000, Actual value 3.000 milli ampere and
    			the battery bank is absorve this current."
    		::= { battery 2 }
    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}

    Related source files and packages:


    Source location: ALGPOWER-v2-MIB::batteryCurrent.
    Source version and references

    Downloaded: 2026-10-24T02:14:13.367328+00:00.

  • Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community) · Publisher's source file: Source package: observium-community-latest.tar.gz

    Vendor MIB copy from the Observium Community archive.

    Module: ALGPOWER_v2-MIB

    Published definition
    batteryCurrent OBJECT-TYPE
    		SYNTAX INTEGER
    		ACCESS read-only
    		STATUS mandatory
    		DESCRIPTION
    			"Numeric value of current in Battery bank. Real
    			value reading in milli ampere.
    			If the value is negative the Battery bank is provide
    			energy for the output.
    			If the value is positive the Battery bank is under
    			charger 
    			
    			Example:
    			Read value -2230, Actual value 2,230 ampere and the
    			battery bank is provide this current.
    			Read value 3000, Actual value 3.000 milli ampere and
    			the battery bank is absorve this current."
    		::= { battery 2 }
    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}

    Related source files and packages:


    Source location: ALGPOWER_v2-MIB::batteryCurrent.
    Source version and references

    Downloaded: 2026-10-24T02:14:25.690167+00:00.

Current Registration Authority (inferred from ancestor 1.3.6.1.4.1.49136)

ALGcom

Siblings (2)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.49136.1.2.1 batteryVoltage00
1.3.6.1.4.1.49136.1.2.3 chargerStatus00